import { RestWebservice } from './rest.webservice';
import { RealtimeWebservice } from './realtime.webservice';
import { StorageWebservice } from './storage.webservice';
import { FunctionsModel } from '../model/functions.model';
import { StorageApiModel } from '../model/storage-api.model';
export declare class WebServices {
    constructor(rest: RestWebservice, realtime: RealtimeWebservice, storage: StorageWebservice);
    storage(prefix?: string): StorageApiModel;
    realtime(config: {
        applicationId: string;
        masterKey: string;
    }, prefix?: string): {
        changes: {
            name: string;
            onEvent: any;
        };
    };
    rest(prefix?: string): {
        rules: FunctionsModel;
        jwk: FunctionsModel;
    };
}
